<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="@dimen/dimen_180dp"
        android:background="@drawable/drawable_maintxtbg"
        app:cardCornerRadius="@dimen/dimen_4dp"
        android:layout_margin="@dimen/dimen_4dp"
        app:cardElevation="@dimen/dimen_4dp"
        app:cardUseCompatPadding="true">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="left"


            android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"

            android:background="#2f2f43"
            android:layout_weight="0.6"
            android:orientation="vertical">

            <TextView

                android:id="@+id/txtRs"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:layout_gravity="center_vertical"

                android:layout_marginTop="@dimen/dimen_10dp"
                android:textStyle="bold"



                android:gravity="center"
                android:text=""
                android:textColor="@android:color/white"
                android:textSize="@dimen/dimen_15sp"


                />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="left"
            android:layout_weight="0.4"
            android:orientation="vertical">


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"

            android:orientation="vertical"
            android:layout_weight="0.5">

            <TextView

                android:id="@+id/txtValidity"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:layout_gravity="center_vertical"
                android:layout_margin="@dimen/dimen_4dp"

                android:layout_weight="0.7"
                android:maxLines="1"

                android:ellipsize="end"


                android:gravity="center"
                android:text="Mobile Recharge"
                android:textStyle="bold"
                android:textColor="@android:color/black"
                android:textSize="@dimen/dimen_15sp"


                />

            <TextView

                android:id="@+id/txtprofile"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:layout_gravity="center_vertical"
                android:layout_margin="@dimen/dimen_4dp"
                android:layout_weight="0.3"
                android:maxLines="3"

                android:ellipsize="end"


                android:gravity="center"
                android:text="Mobile Recharge"
                android:textColor="@android:color/black"
                android:textSize="@dimen/dimen_12sp"


                />

        </LinearLayout>



            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center"
                android:visibility="gone"
                android:layout_weight="0.6">

                <Button
                    android:id="@+id/btnSave"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/dimen_4dp"
                    android:background="@color/white"
                    android:text="Recharge Now"
                    android:elevation="10dp"
                    android:translationZ="10dp"
                    android:stateListAnimator="@null"

                    android:layout_gravity="center"
                    android:textAllCaps="false"
                    android:textColor="@color/colorPrimaryDark"
                    android:textSize="@dimen/dimen_15sp"
                    />

            </LinearLayout>

        </LinearLayout>

        </LinearLayout>


    </androidx.cardview.widget.CardView>

</LinearLayout>